package cursortoken

import (
	"go.mongodb.org/mongo-driver/mongo"
)

type RawFilter interface {
	FilterQuery() mongo.Pipeline
}

type Filter interface {
	FilterQuery() mongo.Pipeline
	Pagination() (string, SortDirection, string, SortDirection)
}
